
ACSA HK Bill Payment SDK - Bug #12955

[DEV - API] validateBillReg

06 January 2022 06:58 PM - Jun Hui  Yap

Status: Closed Start date: 06 January 2022

Priority: Normal Due date:  

Assignee: Jun Hui  Yap % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

When calling API validateBillReg, using biller ID 1 (Merchant: Water Supplies Department).

This merchant do not maintain with any Bill Type Code.

Get error code 4003.

This scenario should be success.

Below are some mechanism on bill type code.

Every merchant must maintain with a Bill.

Bill Type Code is not mandatory.

There are 2 possible outcome:

1. Merchant with only 1 bill with empty Bill Type Code.

2. Merchant with 1 or more bills with Bill Type Code (01 until 99)

 

Note: One Merchant cannot have:

1. More than 1 bill with same Bill Type Code

2. More than 1 bill with empty Bill Type Code

3. 1 bill with empty Bill Type Code and 1 or more bills with Bill Type Code (01 until 99)

History

#1 - 07 January 2022 02:54 PM - Lim Sze Xiang

- Status changed from New to Resolved

- Assignee changed from Lim Sze Xiang to Jun Hui  Yap

Please retry

#2 - 10 January 2022 04:16 PM - Jun Hui  Yap

- File 12955.png added

- Status changed from Resolved to Closed

Tested good.

Files

Empty Bill Type Code.png 39.6 KB 06 January 2022 Jun Hui  Yap

12955.png 40.4 KB 10 January 2022 Jun Hui  Yap
